twitter-conduit-0.3.0: Twitter API package with conduit interface and Streaming API support.

Safe Haskell | None
Language | Haskell2010

Web.Twitter.Conduit.Parameters

Synopsis

- class Parameters a where
  - params :: Lens' a APIQuery
- data PV
  - = PVInteger {
    - unPVInteger :: Integer
    }
  - | PVBool {
    - unPVBool :: Bool
    }
  - | PVString {
    - unPVString :: Text
    }
  - | PVIntegerArray {
    - unPVIntegerArray :: [Integer]
    }
  - | PVStringArray {
    - unPVStringArray :: [Text]
    }
  - | PVDay {
    - unPVDay :: Day
    }
- type APIQuery = [APIQueryItem]
- type APIQueryItem = (ByteString, PV)
- makeSimpleQuery :: APIQuery -> SimpleQuery
- class Parameters a => HasSinceIdParam a where
  - sinceId :: Lens' a (Maybe Integer)
- class Parameters a => HasCountParam a where
  - count :: Lens' a (Maybe Integer)
- class Parameters a => HasMaxIdParam a where
  - maxId :: Lens' a (Maybe Integer)
- class Parameters a => HasPageParam a where
  - page :: Lens' a (Maybe Integer)
- class Parameters a => HasCursorParam a where
  - cursor :: Lens' a (Maybe Integer)
- class Parameters a => HasTrimUserParam a where
  - trimUser :: Lens' a (Maybe Bool)
- class Parameters a => HasExcludeRepliesParam a where
  - excludeReplies :: Lens' a (Maybe Bool)
- class Parameters a => HasContributorDetailsParam a where
  - contributorDetails :: Lens' a (Maybe Bool)
- class Parameters a => HasIncludeEntitiesParam a where
  - includeEntities :: Lens' a (Maybe Bool)
- class Parameters a => HasIncludeEmailParam a where
  - includeEmail :: Lens' a (Maybe Bool)
- class Parameters a => HasIncludeExtAltTextParam a where
  - includeExtAltText :: Lens' a (Maybe Bool)
- class Parameters a => HasIncludeUserEntitiesParam a where
  - includeUserEntities :: Lens' a (Maybe Bool)
- class Parameters a => HasIncludeRtsParam a where
  - includeRts :: Lens' a (Maybe Bool)
- class Parameters a => HasIncludeMyRetweetParam a where
  - includeMyRetweet :: Lens' a (Maybe Bool)
- class Parameters a => HasInReplyToStatusIdParam a where
  - inReplyToStatusId :: Lens' a (Maybe Integer)
- class Parameters a => HasDisplayCoordinatesParam a where
  - displayCoordinates :: Lens' a (Maybe Bool)
- class Parameters a => HasPossiblySensitiveParam a where
  - possiblySensitive :: Lens' a (Maybe Bool)
- class Parameters a => HasLangParam a where
  - lang :: Lens' a (Maybe Text)
- class Parameters a => HasLanguageParam a where
  - language :: Lens' a (Maybe Text)
- class Parameters a => HasLocaleParam a where
  - locale :: Lens' a (Maybe Text)
- class Parameters a => HasFilterLevelParam a where
  - filterLevel :: Lens' a (Maybe Text)
- class Parameters a => HasStallWarningsParam a where
  - stallWarnings :: Lens' a (Maybe Bool)
- class Parameters a => HasRepliesParam a where
  - replies :: Lens' a (Maybe Text)
- class Parameters a => HasUntilParam a where
  - until :: Lens' a (Maybe Day)
- class Parameters a => HasSkipStatusParam a where
  - skipStatus :: Lens' a (Maybe Bool)
- class Parameters a => HasFollowParam a where
  - follow :: Lens' a (Maybe Bool)
- class Parameters a => HasMapParam a where
  - map :: Lens' a (Maybe Bool)
- class Parameters a => HasMediaIdsParam a where
  - mediaIds :: Lens' a (Maybe [Integer])
- class Parameters a => HasDescriptionParam a where
  - description :: Lens' a (Maybe Text)
- class Parameters a => HasNameParam a where
  - name :: Lens' a (Maybe Text)
- class Parameters a => HasProfileLinkColorParam a where
  - profileLinkColor :: Lens' a (Maybe Text)
- class Parameters a => HasLocationParam a where
  - location :: Lens' a (Maybe Text)
- class Parameters a => HasUrlParam a where
  - url :: Lens' a (Maybe URIString)
- class Parameters a => HasFullTextParam a where
  - fullText :: Lens' a (Maybe Bool)
- class Parameters a => HasWithParam a where
  - with :: Lens' a (Maybe Text)
- data UserParam
  - = UserIdParam UserId
  - | ScreenNameParam String
- data UserListParam
  - = UserIdListParam [UserId]
  - | ScreenNameListParam [String]
- data ListParam
  - = ListIdParam Integer
  - | ListNameParam String
- data MediaData
  - = MediaFromFile FilePath
  - | MediaRequestBody FilePath RequestBody
- mkUserParam :: UserParam -> APIQuery
- mkUserListParam :: UserListParam -> APIQuery
- mkListParam :: ListParam -> APIQuery

# Documentation

class Parameters a where Source #

Methods

params :: Lens' a APIQuery Source #

Instances

Parameters (APIRequest apiName responseType) Source # |
Instance details Defined in Web.Twitter.Conduit.Request Methods params :: Lens' (APIRequest apiName responseType) APIQuery Source #

data PV Source #

Constructors

PVInteger |

Fields

- unPVInteger :: Integer

PVBool |

Fields

- unPVBool :: Bool

PVString |

Fields

- unPVString :: Text

PVIntegerArray |

Fields

- unPVIntegerArray :: [Integer]

PVStringArray |

Fields

- unPVStringArray :: [Text]

PVDay |

Fields

- unPVDay :: Day

Instances

Eq PV Source # |
Instance details Defined in Web.Twitter.Conduit.Request Methods (==) :: PV -> PV -> Bool Source # (/=) :: PV -> PV -> Bool Source #
Show PV Source # |
Instance details Defined in Web.Twitter.Conduit.Request Methods showsPrec :: Int -> PV -> ShowS Source # show :: PV -> String Source # showList :: [PV] -> ShowS Source #

type APIQuery = [APIQueryItem] Source #

type APIQueryItem = (ByteString, PV) Source #

makeSimpleQuery :: APIQuery -> SimpleQuery Source #

class Parameters a => HasSinceIdParam a where Source #

Minimal complete definition

Nothing

Methods

sinceId :: Lens' a (Maybe Integer) Source #

Instances

HasSinceIdParam (APIRequest StatusesMentionsTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods sinceId :: Lens' (APIRequest StatusesMentionsTimeline a) (Maybe Integer) Source #
HasSinceIdParam (APIRequest StatusesUserTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods sinceId :: Lens' (APIRequest StatusesUserTimeline a) (Maybe Integer) Source #
HasSinceIdParam (APIRequest StatusesHomeTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods sinceId :: Lens' (APIRequest StatusesHomeTimeline a) (Maybe Integer) Source #
HasSinceIdParam (APIRequest StatusesRetweetsOfMe a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods sinceId :: Lens' (APIRequest StatusesRetweetsOfMe a) (Maybe Integer) Source #
HasSinceIdParam (APIRequest SearchTweets a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods sinceId :: Lens' (APIRequest SearchTweets a) (Maybe Integer) Source #
HasSinceIdParam (APIRequest DirectMessages a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods sinceId :: Lens' (APIRequest DirectMessages a) (Maybe Integer) Source #
HasSinceIdParam (APIRequest DirectMessagesSent a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods sinceId :: Lens' (APIRequest DirectMessagesSent a) (Maybe Integer) Source #
HasSinceIdParam (APIRequest FavoritesList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods sinceId :: Lens' (APIRequest FavoritesList a) (Maybe Integer) Source #
HasSinceIdParam (APIRequest ListsStatuses a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods sinceId :: Lens' (APIRequest ListsStatuses a) (Maybe Integer) Source #

class Parameters a => HasCountParam a where Source #

Minimal complete definition

Nothing

Methods

count :: Lens' a (Maybe Integer) Source #

Instances

HasCountParam (APIRequest StatusesMentionsTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods count :: Lens' (APIRequest StatusesMentionsTimeline a) (Maybe Integer) Source #
HasCountParam (APIRequest StatusesUserTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods count :: Lens' (APIRequest StatusesUserTimeline a) (Maybe Integer) Source #
HasCountParam (APIRequest StatusesHomeTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods count :: Lens' (APIRequest StatusesHomeTimeline a) (Maybe Integer) Source #
HasCountParam (APIRequest StatusesRetweetsOfMe a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods count :: Lens' (APIRequest StatusesRetweetsOfMe a) (Maybe Integer) Source #
HasCountParam (APIRequest StatusesRetweetsId a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods count :: Lens' (APIRequest StatusesRetweetsId a) (Maybe Integer) Source #
HasCountParam (APIRequest SearchTweets a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest SearchTweets a) (Maybe Integer) Source #
HasCountParam (APIRequest DirectMessages a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest DirectMessages a) (Maybe Integer) Source #
HasCountParam (APIRequest DirectMessagesSent a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest DirectMessagesSent a) (Maybe Integer) Source #
HasCountParam (APIRequest FriendsIds a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest FriendsIds a) (Maybe Integer) Source #
HasCountParam (APIRequest FollowersIds a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest FollowersIds a) (Maybe Integer) Source #
HasCountParam (APIRequest FriendsList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest FriendsList a) (Maybe Integer) Source #
HasCountParam (APIRequest FollowersList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest FollowersList a) (Maybe Integer) Source #
HasCountParam (APIRequest FavoritesList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest FavoritesList a) (Maybe Integer) Source #
HasCountParam (APIRequest ListsStatuses a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest ListsStatuses a) (Maybe Integer) Source #
HasCountParam (APIRequest ListsMemberships a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest ListsMemberships a) (Maybe Integer) Source #
HasCountParam (APIRequest ListsSubscribers a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest ListsSubscribers a) (Maybe Integer) Source #
HasCountParam (APIRequest ListsSubscriptions a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest ListsSubscriptions a) (Maybe Integer) Source #
HasCountParam (APIRequest ListsOwnerships a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest ListsOwnerships a) (Maybe Integer) Source #
HasCountParam (APIRequest ListsMembers a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods count :: Lens' (APIRequest ListsMembers a) (Maybe Integer) Source #

class Parameters a => HasMaxIdParam a where Source #

Minimal complete definition

Nothing

Methods

maxId :: Lens' a (Maybe Integer) Source #

Instances

HasMaxIdParam (APIRequest StatusesMentionsTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods maxId :: Lens' (APIRequest StatusesMentionsTimeline a) (Maybe Integer) Source #
HasMaxIdParam (APIRequest StatusesUserTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods maxId :: Lens' (APIRequest StatusesUserTimeline a) (Maybe Integer) Source #
HasMaxIdParam (APIRequest StatusesHomeTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods maxId :: Lens' (APIRequest StatusesHomeTimeline a) (Maybe Integer) Source #
HasMaxIdParam (APIRequest StatusesRetweetsOfMe a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods maxId :: Lens' (APIRequest StatusesRetweetsOfMe a) (Maybe Integer) Source #
HasMaxIdParam (APIRequest SearchTweets a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods maxId :: Lens' (APIRequest SearchTweets a) (Maybe Integer) Source #
HasMaxIdParam (APIRequest DirectMessages a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods maxId :: Lens' (APIRequest DirectMessages a) (Maybe Integer) Source #
HasMaxIdParam (APIRequest DirectMessagesSent a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods maxId :: Lens' (APIRequest DirectMessagesSent a) (Maybe Integer) Source #
HasMaxIdParam (APIRequest FavoritesList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods maxId :: Lens' (APIRequest FavoritesList a) (Maybe Integer) Source #
HasMaxIdParam (APIRequest ListsStatuses a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods maxId :: Lens' (APIRequest ListsStatuses a) (Maybe Integer) Source #

class Parameters a => HasPageParam a where Source #

Minimal complete definition

Nothing

Methods

page :: Lens' a (Maybe Integer) Source #

Instances

HasPageParam (APIRequest DirectMessagesSent a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods page :: Lens' (APIRequest DirectMessagesSent a) (Maybe Integer) Source #

class Parameters a => HasCursorParam a where Source #

Minimal complete definition

Nothing

Methods

cursor :: Lens' a (Maybe Integer) Source #

Instances

HasCursorParam (APIRequest FriendsIds a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest FriendsIds a) (Maybe Integer) Source #
HasCursorParam (APIRequest FollowersIds a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest FollowersIds a) (Maybe Integer) Source #
HasCursorParam (APIRequest FriendshipsIncoming a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest FriendshipsIncoming a) (Maybe Integer) Source #
HasCursorParam (APIRequest FriendshipsOutgoing a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest FriendshipsOutgoing a) (Maybe Integer) Source #
HasCursorParam (APIRequest FriendsList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest FriendsList a) (Maybe Integer) Source #
HasCursorParam (APIRequest FollowersList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest FollowersList a) (Maybe Integer) Source #
HasCursorParam (APIRequest ListsMemberships a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest ListsMemberships a) (Maybe Integer) Source #
HasCursorParam (APIRequest ListsSubscribers a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest ListsSubscribers a) (Maybe Integer) Source #
HasCursorParam (APIRequest ListsSubscriptions a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest ListsSubscriptions a) (Maybe Integer) Source #
HasCursorParam (APIRequest ListsOwnerships a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest ListsOwnerships a) (Maybe Integer) Source #
HasCursorParam (APIRequest ListsMembers a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods cursor :: Lens' (APIRequest ListsMembers a) (Maybe Integer) Source #

class Parameters a => HasTrimUserParam a where Source #

Minimal complete definition

Nothing

Methods

trimUser :: Lens' a (Maybe Bool) Source #

Instances

HasTrimUserParam (APIRequest StatusesMentionsTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesMentionsTimeline a) (Maybe Bool) Source #
HasTrimUserParam (APIRequest StatusesUserTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesUserTimeline a) (Maybe Bool) Source #
HasTrimUserParam (APIRequest StatusesHomeTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesHomeTimeline a) (Maybe Bool) Source #
HasTrimUserParam (APIRequest StatusesRetweetsOfMe a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesRetweetsOfMe a) (Maybe Bool) Source #
HasTrimUserParam (APIRequest StatusesRetweetsId a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesRetweetsId a) (Maybe Bool) Source #
HasTrimUserParam (APIRequest StatusesShowId a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesShowId a) (Maybe Bool) Source #
HasTrimUserParam (APIRequest StatusesDestroyId a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesDestroyId a) (Maybe Bool) Source #
HasTrimUserParam (APIRequest StatusesUpdate a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesUpdate a) (Maybe Bool) Source #
HasTrimUserParam (APIRequest StatusesRetweetId a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesRetweetId a) (Maybe Bool) Source #
HasTrimUserParam (APIRequest StatusesLookup a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods trimUser :: Lens' (APIRequest StatusesLookup a) (Maybe Bool) Source #

class Parameters a => HasExcludeRepliesParam a where Source #

Minimal complete definition

Nothing

Methods

excludeReplies :: Lens' a (Maybe Bool) Source #

Instances

HasExcludeRepliesParam (APIRequest StatusesUserTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods excludeReplies :: Lens' (APIRequest StatusesUserTimeline a) (Maybe Bool) Source #
HasExcludeRepliesParam (APIRequest StatusesHomeTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods excludeReplies :: Lens' (APIRequest StatusesHomeTimeline a) (Maybe Bool) Source #

class Parameters a => HasContributorDetailsParam a where Source #

Minimal complete definition

Nothing

Methods

contributorDetails :: Lens' a (Maybe Bool) Source #

Instances

HasContributorDetailsParam (APIRequest StatusesMentionsTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods contributorDetails :: Lens' (APIRequest StatusesMentionsTimeline a) (Maybe Bool) Source #
HasContributorDetailsParam (APIRequest StatusesUserTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods contributorDetails :: Lens' (APIRequest StatusesUserTimeline a) (Maybe Bool) Source #
HasContributorDetailsParam (APIRequest StatusesHomeTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods contributorDetails :: Lens' (APIRequest StatusesHomeTimeline a) (Maybe Bool) Source #

class Parameters a => HasIncludeEntitiesParam a where Source #

Minimal complete definition

Nothing

Methods

includeEntities :: Lens' a (Maybe Bool) Source #

Instances

HasIncludeEntitiesParam (APIRequest StatusesMentionsTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods includeEntities :: Lens' (APIRequest StatusesMentionsTimeline a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest StatusesHomeTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods includeEntities :: Lens' (APIRequest StatusesHomeTimeline a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest StatusesRetweetsOfMe a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods includeEntities :: Lens' (APIRequest StatusesRetweetsOfMe a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest StatusesShowId a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods includeEntities :: Lens' (APIRequest StatusesShowId a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest StatusesLookup a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods includeEntities :: Lens' (APIRequest StatusesLookup a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest SearchTweets a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest SearchTweets a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest DirectMessages a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest DirectMessages a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest DirectMessagesSent a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest DirectMessagesSent a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest DirectMessagesDestroy a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest DirectMessagesDestroy a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest AccountVerifyCredentials a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest AccountVerifyCredentials a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest AccountUpdateProfile a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest AccountUpdateProfile a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest UsersLookup a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest UsersLookup a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest UsersShow a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest UsersShow a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest FavoritesList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest FavoritesList a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest FavoritesCreate a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest FavoritesCreate a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest FavoritesDestroy a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest FavoritesDestroy a) (Maybe Bool) Source #
HasIncludeEntitiesParam (APIRequest ListsStatuses a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEntities :: Lens' (APIRequest ListsStatuses a) (Maybe Bool) Source #

class Parameters a => HasIncludeEmailParam a where Source #

Minimal complete definition

Nothing

Methods

includeEmail :: Lens' a (Maybe Bool) Source #

Instances

HasIncludeEmailParam (APIRequest AccountVerifyCredentials a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeEmail :: Lens' (APIRequest AccountVerifyCredentials a) (Maybe Bool) Source #

class Parameters a => HasIncludeExtAltTextParam a where Source #

Minimal complete definition

Nothing

Methods

includeExtAltText :: Lens' a (Maybe Bool) Source #

Instances

HasIncludeExtAltTextParam (APIRequest StatusesShowId a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods includeExtAltText :: Lens' (APIRequest StatusesShowId a) (Maybe Bool) Source #

class Parameters a => HasIncludeUserEntitiesParam a where Source #

Minimal complete definition

Nothing

Methods

includeUserEntities :: Lens' a (Maybe Bool) Source #

Instances

HasIncludeUserEntitiesParam (APIRequest StatusesRetweetsOfMe a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods includeUserEntities :: Lens' (APIRequest StatusesRetweetsOfMe a) (Maybe Bool) Source #
HasIncludeUserEntitiesParam (APIRequest FriendsList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeUserEntities :: Lens' (APIRequest FriendsList a) (Maybe Bool) Source #
HasIncludeUserEntitiesParam (APIRequest FollowersList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeUserEntities :: Lens' (APIRequest FollowersList a) (Maybe Bool) Source #

class Parameters a => HasIncludeRtsParam a where Source #

Minimal complete definition

Nothing

Methods

includeRts :: Lens' a (Maybe Bool) Source #

Instances

HasIncludeRtsParam (APIRequest StatusesUserTimeline a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods includeRts :: Lens' (APIRequest StatusesUserTimeline a) (Maybe Bool) Source #
HasIncludeRtsParam (APIRequest ListsStatuses a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods includeRts :: Lens' (APIRequest ListsStatuses a) (Maybe Bool) Source #

class Parameters a => HasIncludeMyRetweetParam a where Source #

Minimal complete definition

Nothing

Methods

includeMyRetweet :: Lens' a (Maybe Bool) Source #

Instances

HasIncludeMyRetweetParam (APIRequest StatusesShowId a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods includeMyRetweet :: Lens' (APIRequest StatusesShowId a) (Maybe Bool) Source #

class Parameters a => HasInReplyToStatusIdParam a where Source #

Minimal complete definition

Nothing

Methods

inReplyToStatusId :: Lens' a (Maybe Integer) Source #

Instances

HasInReplyToStatusIdParam (APIRequest StatusesUpdate a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods inReplyToStatusId :: Lens' (APIRequest StatusesUpdate a) (Maybe Integer) Source #
HasInReplyToStatusIdParam (APIRequest StatusesUpdateWithMedia a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods inReplyToStatusId :: Lens' (APIRequest StatusesUpdateWithMedia a) (Maybe Integer) Source #

class Parameters a => HasDisplayCoordinatesParam a where Source #

Minimal complete definition

Nothing

Methods

displayCoordinates :: Lens' a (Maybe Bool) Source #

Instances

HasDisplayCoordinatesParam (APIRequest StatusesUpdate a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods displayCoordinates :: Lens' (APIRequest StatusesUpdate a) (Maybe Bool) Source #
HasDisplayCoordinatesParam (APIRequest StatusesUpdateWithMedia a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods displayCoordinates :: Lens' (APIRequest StatusesUpdateWithMedia a) (Maybe Bool) Source #

class Parameters a => HasPossiblySensitiveParam a where Source #

Minimal complete definition

Nothing

Methods

possiblySensitive :: Lens' a (Maybe Bool) Source #

Instances

HasPossiblySensitiveParam (APIRequest StatusesUpdateWithMedia a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods possiblySensitive :: Lens' (APIRequest StatusesUpdateWithMedia a) (Maybe Bool) Source #

class Parameters a => HasLangParam a where Source #

Minimal complete definition

Nothing

Methods

lang :: Lens' a (Maybe Text) Source #

Instances

HasLangParam (APIRequest SearchTweets a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods lang :: Lens' (APIRequest SearchTweets a) (Maybe Text) Source #

class Parameters a => HasLanguageParam a where Source #

Minimal complete definition

Nothing

Methods

language :: Lens' a (Maybe Text) Source #

Instances

HasLanguageParam (APIRequest Userstream a) Source # |
Instance details Defined in Web.Twitter.Conduit.Stream Methods language :: Lens' (APIRequest Userstream a) (Maybe Text) Source #
HasLanguageParam (APIRequest StatusesFilter a) Source # |
Instance details Defined in Web.Twitter.Conduit.Stream Methods language :: Lens' (APIRequest StatusesFilter a) (Maybe Text) Source #

class Parameters a => HasLocaleParam a where Source #

Minimal complete definition

Nothing

Methods

locale :: Lens' a (Maybe Text) Source #

Instances

HasLocaleParam (APIRequest SearchTweets a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods locale :: Lens' (APIRequest SearchTweets a) (Maybe Text) Source #

class Parameters a => HasFilterLevelParam a where Source #

Minimal complete definition

Nothing

Methods

filterLevel :: Lens' a (Maybe Text) Source #

Instances

HasFilterLevelParam (APIRequest Userstream a) Source # |
Instance details Defined in Web.Twitter.Conduit.Stream Methods filterLevel :: Lens' (APIRequest Userstream a) (Maybe Text) Source #
HasFilterLevelParam (APIRequest StatusesFilter a) Source # |
Instance details Defined in Web.Twitter.Conduit.Stream Methods filterLevel :: Lens' (APIRequest StatusesFilter a) (Maybe Text) Source #

class Parameters a => HasStallWarningsParam a where Source #

Minimal complete definition

Nothing

Methods

stallWarnings :: Lens' a (Maybe Bool) Source #

Instances

HasStallWarningsParam (APIRequest Userstream a) Source # |
Instance details Defined in Web.Twitter.Conduit.Stream Methods stallWarnings :: Lens' (APIRequest Userstream a) (Maybe Bool) Source #
HasStallWarningsParam (APIRequest StatusesFilter a) Source # |
Instance details Defined in Web.Twitter.Conduit.Stream Methods stallWarnings :: Lens' (APIRequest StatusesFilter a) (Maybe Bool) Source #

class Parameters a => HasRepliesParam a where Source #

Minimal complete definition

Nothing

Methods

replies :: Lens' a (Maybe Text) Source #

Instances

HasRepliesParam (APIRequest Userstream a) Source # |
Instance details Defined in Web.Twitter.Conduit.Stream Methods replies :: Lens' (APIRequest Userstream a) (Maybe Text) Source #

class Parameters a => HasUntilParam a where Source #

Minimal complete definition

Nothing

Methods

until :: Lens' a (Maybe Day) Source #

Instances

HasUntilParam (APIRequest SearchTweets a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods until :: Lens' (APIRequest SearchTweets a) (Maybe Day) Source #

class Parameters a => HasSkipStatusParam a where Source #

Minimal complete definition

Nothing

Methods

skipStatus :: Lens' a (Maybe Bool) Source #

Instances

HasSkipStatusParam (APIRequest DirectMessages a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods skipStatus :: Lens' (APIRequest DirectMessages a) (Maybe Bool) Source #
HasSkipStatusParam (APIRequest DirectMessagesSent a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods skipStatus :: Lens' (APIRequest DirectMessagesSent a) (Maybe Bool) Source #
HasSkipStatusParam (APIRequest FriendsList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods skipStatus :: Lens' (APIRequest FriendsList a) (Maybe Bool) Source #
HasSkipStatusParam (APIRequest FollowersList a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods skipStatus :: Lens' (APIRequest FollowersList a) (Maybe Bool) Source #
HasSkipStatusParam (APIRequest AccountVerifyCredentials a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods skipStatus :: Lens' (APIRequest AccountVerifyCredentials a) (Maybe Bool) Source #
HasSkipStatusParam (APIRequest AccountUpdateProfile a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods skipStatus :: Lens' (APIRequest AccountUpdateProfile a) (Maybe Bool) Source #
HasSkipStatusParam (APIRequest ListsSubscribers a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods skipStatus :: Lens' (APIRequest ListsSubscribers a) (Maybe Bool) Source #
HasSkipStatusParam (APIRequest ListsMembers a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods skipStatus :: Lens' (APIRequest ListsMembers a) (Maybe Bool) Source #

class Parameters a => HasFollowParam a where Source #

Minimal complete definition

Nothing

Methods

follow :: Lens' a (Maybe Bool) Source #

Instances

HasFollowParam (APIRequest FriendshipsCreate a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods follow :: Lens' (APIRequest FriendshipsCreate a) (Maybe Bool) Source #

class Parameters a => HasMapParam a where Source #

Minimal complete definition

Nothing

Methods

map :: Lens' a (Maybe Bool) Source #

Instances

HasMapParam (APIRequest StatusesLookup a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods map :: Lens' (APIRequest StatusesLookup a) (Maybe Bool) Source #

class Parameters a => HasMediaIdsParam a where Source #

Minimal complete definition

Nothing

Methods

mediaIds :: Lens' a (Maybe [Integer]) Source #

Instances

HasMediaIdsParam (APIRequest StatusesUpdate a) Source # |
Instance details Defined in Web.Twitter.Conduit.Status Methods mediaIds :: Lens' (APIRequest StatusesUpdate a) (Maybe [Integer]) Source #

class Parameters a => HasDescriptionParam a where Source #

Minimal complete definition

Nothing

Methods

description :: Lens' a (Maybe Text) Source #

Instances

HasDescriptionParam (APIRequest AccountUpdateProfile a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods description :: Lens' (APIRequest AccountUpdateProfile a) (Maybe Text) Source #

class Parameters a => HasNameParam a where Source #

Minimal complete definition

Nothing

Methods

name :: Lens' a (Maybe Text) Source #

Instances

HasNameParam (APIRequest AccountUpdateProfile a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods name :: Lens' (APIRequest AccountUpdateProfile a) (Maybe Text) Source #

class Parameters a => HasProfileLinkColorParam a where Source #

Minimal complete definition

Nothing

Methods

profileLinkColor :: Lens' a (Maybe Text) Source #

Instances

HasProfileLinkColorParam (APIRequest AccountUpdateProfile a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods profileLinkColor :: Lens' (APIRequest AccountUpdateProfile a) (Maybe Text) Source #

class Parameters a => HasLocationParam a where Source #

Minimal complete definition

Nothing

Methods

location :: Lens' a (Maybe Text) Source #

Instances

HasLocationParam (APIRequest AccountUpdateProfile a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods location :: Lens' (APIRequest AccountUpdateProfile a) (Maybe Text) Source #

class Parameters a => HasUrlParam a where Source #

Minimal complete definition

Nothing

Methods

url :: Lens' a (Maybe URIString) Source #

Instances

HasUrlParam (APIRequest AccountUpdateProfile a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods url :: Lens' (APIRequest AccountUpdateProfile a) (Maybe URIString) Source #

class Parameters a => HasFullTextParam a where Source #

Minimal complete definition

Nothing

Methods

fullText :: Lens' a (Maybe Bool) Source #

Instances

HasFullTextParam (APIRequest DirectMessages a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods fullText :: Lens' (APIRequest DirectMessages a) (Maybe Bool) Source #
HasFullTextParam (APIRequest DirectMessagesSent a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods fullText :: Lens' (APIRequest DirectMessagesSent a) (Maybe Bool) Source #
HasFullTextParam (APIRequest DirectMessagesShow a) Source # |
Instance details Defined in Web.Twitter.Conduit.Api Methods fullText :: Lens' (APIRequest DirectMessagesShow a) (Maybe Bool) Source #

class Parameters a => HasWithParam a where Source #

Minimal complete definition

Nothing

Methods

with :: Lens' a (Maybe Text) Source #

data UserParam Source #

Constructors

UserIdParam UserId |
ScreenNameParam String |

Instances

Eq UserParam Source # |
Instance details Defined in Web.Twitter.Conduit.Parameters Methods (==) :: UserParam -> UserParam -> Bool Source # (/=) :: UserParam -> UserParam -> Bool Source #
Show UserParam Source # |
Instance details Defined in Web.Twitter.Conduit.Parameters Methods showsPrec :: Int -> UserParam -> ShowS Source # show :: UserParam -> String Source # showList :: [UserParam] -> ShowS Source #

data UserListParam Source #

Constructors

UserIdListParam [UserId] |
ScreenNameListParam [String] |

Instances

Eq UserListParam Source # |
Instance details Defined in Web.Twitter.Conduit.Parameters Methods (==) :: UserListParam -> UserListParam -> Bool Source # (/=) :: UserListParam -> UserListParam -> Bool Source #
Show UserListParam Source # |
Instance details Defined in Web.Twitter.Conduit.Parameters Methods showsPrec :: Int -> UserListParam -> ShowS Source # show :: UserListParam -> String Source # showList :: [UserListParam] -> ShowS Source #

data ListParam Source #

Constructors

ListIdParam Integer |
ListNameParam String |

Instances

Eq ListParam Source # |
Instance details Defined in Web.Twitter.Conduit.Parameters Methods (==) :: ListParam -> ListParam -> Bool Source # (/=) :: ListParam -> ListParam -> Bool Source #
Show ListParam Source # |
Instance details Defined in Web.Twitter.Conduit.Parameters Methods showsPrec :: Int -> ListParam -> ShowS Source # show :: ListParam -> String Source # showList :: [ListParam] -> ShowS Source #

data MediaData Source #

Constructors

MediaFromFile FilePath |
MediaRequestBody FilePath RequestBody |

mkUserParam :: UserParam -> APIQuery Source #

converts `UserParam` to `SimpleQuery`.

    >>> makeSimpleQuery . mkUserParam $ UserIdParam 123456
    [("user_id","123456")]
    >>> makeSimpleQuery . mkUserParam $ ScreenNameParam "thimura"
    [("screen_name","thimura")]

mkUserListParam :: UserListParam -> APIQuery Source #

converts `UserListParam` to `SimpleQuery`.

    >>> makeSimpleQuery . mkUserListParam $ UserIdListParam [123456]
    [("user_id","123456")]
    >>> makeSimpleQuery . mkUserListParam $ UserIdListParam [123456, 654321]
    [("user_id","123456,654321")]
    >>> makeSimpleQuery . mkUserListParam $ ScreenNameListParam ["thimura", "NikaidouShinku"]
    [("screen_name","thimura,NikaidouShinku")]

mkListParam :: ListParam -> APIQuery Source #

converts `ListParam` to `SimpleQuery`.

    >>> makeSimpleQuery . mkListParam $ ListIdParam 123123
    [("list_id","123123")]
    >>> makeSimpleQuery . mkListParam $ ListNameParam "thimura/haskell"
    [("slug","haskell"),("owner_screen_name","thimura")]